           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           %%%    Hybrid Simulation Current Assessment Measures    %%%
           %%%              Example #2: Boulder Test               %%% 
           %%%     Prepared by:                                    %%%
           %%%     Carlos Andres Riascos Gonzalez, Ge(Gaby) Ou,    %%%
           %%%     and Shirley Dyke                                %%%
           %%%                                                     %%%
           %%%    Published on: 10/15/2014                         %%% 
           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc,clear,close all, global ind

load Boulder

M=[ 2.7746    2.7855    2.9711
   -0.0190    2.8062    2.9694
    0.0017   -0.0806    3.0500];

K=-[ -888.7032  480.4161  -82.9361
     461.2344 -610.2741  249.6533
    -65.0659  224.9055 -168.2418]*M;

C=-[-2.4328    0.8243   -0.0214
    0.7939   -1.8621    0.6568
   -0.0023    0.5965   -0.9233]*M;

name='Lehigh'; %%% Test Name
xc=A2.xc; %%% Target Displacement (m) 
xm=A2.xm; %%% Measured Displacemente (m) 
fm=A2.fm;  %%% Measured Force (N) 
Fs=A2.fs;      %%% Sample Frequency (Hz)
l=2;           %%% Integer Potencia
% M=A1.Mn;       %%% Mass Matrix of the Numerical Substructure
% C=A1.Cn;       %%% Damping Matrix of the Numerical Substructure
% K=A1.Kn;       %%% Stiffness Matrix of the Numerical Substructure
method='area'; %%% Method for Numerical Integration 
Eemax=400;     %%% Maximum Experimental Strain Energy
format='html'; %%% Format for publishing report  'html' | 'doc' | 'pdf' | 'ppt' | 'xml' | 'latex'

cam_results=cam(xc,xm,fm,Fs,M,C,K,Eemax,l,method,name);

if ind==1
file=publish('cam_publish','showCode',logical(0),'format',format)
web(file);
end